Package com.io7m.jtensors.core.unparameterized.vectors

# Class Vector4D.Builder

java.lang.Object
com.io7m.jtensors.core.unparameterized.vectors.Vector4D.Builder

Enclosing class:
  Vector4D

    public static final class Vector4D.Builder
    extends java.lang.Object

Builds instances of type `Vector4D`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `Vector4D` | `build()` | Builds a new `Vector4D`.
  `Vector4D.Builder` | `from​(Vector4DType instance)` | Fill a builder with attribute values from the provided `com.io7m.jtensors.core.unparameterized.vectors.Vector4DType` instance.
  `Vector4D.Builder` | `from​(VectorReadable2DType instance)` | Fill a builder with attribute values from the provided `com.io7m.jtensors.core.unparameterized.vectors.VectorReadable2DType` instance.
  `Vector4D.Builder` | `from​(VectorReadable3DType instance)` | Fill a builder with attribute values from the provided `com.io7m.jtensors.core.unparameterized.vectors.VectorReadable3DType` instance.
  `Vector4D.Builder` | `from​(VectorReadable4DType instance)` | Fill a builder with attribute values from the provided `com.io7m.jtensors.core.unparameterized.vectors.VectorReadable4DType` instance.
  `Vector4D.Builder` | `setW​(double w)` | Initializes the value for the `w` attribute.
  `Vector4D.Builder` | `setX​(double x)` | Initializes the value for the `x` attribute.
  `Vector4D.Builder` | `setY​(double y)` | Initializes the value for the `y` attribute.
  `Vector4D.Builder` | `setZ​(double z)` | Initializes the value for the `z` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final Vector4D.Builder from​(VectorReadable3DType instance)
    Fill a builder with attribute values from the provided `com.io7m.jtensors.core.unparameterized.vectors.VectorReadable3DType` instance.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### from

    public final Vector4D.Builder from​(Vector4DType instance)
    Fill a builder with attribute values from the provided `com.io7m.jtensors.core.unparameterized.vectors.Vector4DType` instance.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### from

    public final Vector4D.Builder from​(VectorReadable2DType instance)
    Fill a builder with attribute values from the provided `com.io7m.jtensors.core.unparameterized.vectors.VectorReadable2DType` instance.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### from

    public final Vector4D.Builder from​(VectorReadable4DType instance)
    Fill a builder with attribute values from the provided `com.io7m.jtensors.core.unparameterized.vectors.VectorReadable4DType` instance.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setX

    public final Vector4D.Builder setX​(double x)
    Initializes the value for the `x` attribute.
    Parameters:
      `x` - The value for x
    Returns:
      `this` builder for use in a chained invocation

  - ### setY

    public final Vector4D.Builder setY​(double y)
    Initializes the value for the `y` attribute.
    Parameters:
      `y` - The value for y
    Returns:
      `this` builder for use in a chained invocation

  - ### setZ

    public final Vector4D.Builder setZ​(double z)
    Initializes the value for the `z` attribute.
    Parameters:
      `z` - The value for z
    Returns:
      `this` builder for use in a chained invocation

  - ### setW

    public final Vector4D.Builder setW​(double w)
    Initializes the value for the `w` attribute.
    Parameters:
      `w` - The value for w
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public Vector4D build()
    Builds a new `Vector4D`.
    Returns:
      An immutable instance of Vector4D
    Throws:
      `java.lang.IllegalStateException` - if any required attributes are missing